Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataTable

    java.lang.Object
      LumiSoft.Data.DataTable

    public class DataTable

extends java.lang.Object

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`DataTable()`
`DataTable(DataSet dataset)`

Method Summary
`void` | `Clear()` Clears the DataTable of all data.
`DataTable` | `Clone()` Clones the structure of the DataTable.
`DataTable` | `Copy()` Copies both the structure and data for this DataTable.
`DataColumnCollection` | `getColumns()` Gets the collection of columns that belong to this table.
`DataSet` | `getDataSet()` Gets the DataSet that this table belongs to.
`DataView` | `getDefaultView()` Gets a customized view of the table which may include a filtered view, or a cursor position.
`DataRowCollection` | `getRows()` Gets the collection of rows that belong to this table.
`java.lang.String` | `getTableName()` Gets table name.
`DataRow` | `NewRow()` Creates a new DataRow with the same schema as the table.
`void` | `setTableName(java.lang.String value)` Sets table name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTable

    public DataTable()

### DataTable

    public DataTable(DataSet dataset)

Method Detail

### NewRow

    public DataRow NewRow()

  Creates a new DataRow with the same schema as the table.

  Returns:

### Clear

    public void Clear()

  Clears the DataTable of all data.

### Clone

    public DataTable Clone()

  Clones the structure of the DataTable.

### Copy

    public DataTable Copy()

  Copies both the structure and data for this DataTable.

### getDefaultView

    public DataView getDefaultView()

  Gets a customized view of the table which may include a filtered view, or a cursor position.

  Returns:

### getTableName

    public java.lang.String getTableName()

  Gets table name.

  Returns:

### setTableName

    public void setTableName(java.lang.String value)

  Sets table name.

  Parameters:
    `value` -

### getColumns

    public DataColumnCollection getColumns()

  Gets the collection of columns that belong to this table.

  Returns:

### getRows

    public DataRowCollection getRows()

  Gets the collection of rows that belong to this table.

  Returns:

### getDataSet

    public DataSet getDataSet()

  Gets the DataSet that this table belongs to.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD